%define upstream_name    Math-BigInt-GMP
%define upstream_version 1.37

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    High speed arbitrary size integer math
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Math::BigInt) >= 1.997.0
BuildRequires: perl(XSLoader) >= 0.20.0
BuildRequires: gmp-devel
# automatic dependency doesn't work here, because perl package
# provides an unversioned one
BuildRequires: perl-Math-BigInt >= 1.87
BuildRequires: perl-devel
%description
This package contains a replacement (drop-in) module for
Math::BigInt's core, Math::BigInt::Calc.pm.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export PERL5LIB=%{perl_vendorlib}
perl Makefile.PL INSTALLDIRS="vendor"
%make  CFLAGS="%{optflags}"

%check
export PERL5LIB=%{perl_vendorlib}
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%doc BUGS CHANGES CREDITS INSTALL LICENSE META.json META.yml README SIGNATURE TODO
%{perl_vendorarch}/Math
%{perl_vendorarch}/auto/Math
%{_mandir}/man*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.370.0-4.mga3
+ Revision: 369563
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.370.0-3.mga3
+ Revision: 250944
- rebuild for perl 5.16

* Wed May 30 2012 jquelin <jquelin> 1.370.0-2.mga3
+ Revision: 250910
- rebuild for perl 5.16

* Mon Sep 26 2011 jquelin <jquelin> 1.370.0-1.mga2
+ Revision: 148460
- update to 1.37

* Sun Jun 12 2011 sander85 <sander85> 1.360.0-2.mga2
+ Revision: 104777
- Rebuild for perl 5.14

* Mon Feb 28 2011 jquelin <jquelin> 1.360.0-1.mga1
+ Revision: 61604
- update to 1.36
- mageia rebuild
- cleaning spec file
- imported package perl-Math-BigInt-GMP

